<?php

namespace App\Libraries\Adapter\Payment;

use App\Libraries\Adapter\Adapter;

abstract class Payment extends Adapter
{
    private $_datas = array();
    protected function __construct($debug = false)
    {
        parent::__construct($debug);
    }
    abstract protected function execute_process(): object;

    //결제용 데이터
    final public function setDatas(array $datas)
    {
        $this->_datas = $datas;
    }
    final public function getDatas(): array
    {
        return $this->_datas;
    }
    final public function execute(): object
    {
        return $this->execute_process();
    }
}
